<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_medinov_reg_shortcodes_partners', 998 );
}
function mascot_core_medinov_reg_shortcodes_partners() {


	vc_map( 
		array(
			'name'     => esc_html__( 'Partner Thumb', 'mascot-core' ),
			'base'     => 'tmvc_partners_thumb',
			'description' => esc_html__( 'Partners', 'mascot-core' ),
			'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
			'params'   => array(
				array(
					'type'			=> 'dropdown',
					"heading"		=> esc_html__( "Thumbnail Image Size", 'mascot-core' ),
					"param_name"	=> "thumb_image_size",
					'description'   => '',
					'value'			=> mascot_core_medinov_get_available_image_sizes_for_vc(),
					'std'			=> 'medinov_mascot_square',
					'admin_label'   => true,
				),
				mascot_core_medinov_vc_add_css_editor(),
			)
		)
	);
	class WPBakeryShortCode_tmvc_partners_thumb extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Info', 'mascot-core' ),
		'base'     => 'tmvc_partners_info',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Contact Info', 'mascot-core' ),
		'base'     => 'tmvc_partners_contact_info',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_contact_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Appointment URL', 'mascot-core' ),
		'base'     => 'tmvc_partners_appointment_url',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_appointment_url extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Short Bio', 'mascot-core' ),
		'base'     => 'tmvc_partners_short_bio',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_short_bio extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Working Hours', 'mascot-core' ),
		'base'     => 'tmvc_partners_working_hours',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_working_hours extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Partner Social Info', 'mascot-core' ),
		'base'     => 'tmvc_partners_social_info',
		'description' => esc_html__( 'Partners', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_partners_social_info extends WPBakeryShortCode {
	}
}