<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_medinov_reg_shortcodes_charitable_ambassadors_plugin', 998 );
}
function mascot_core_medinov_reg_shortcodes_charitable_ambassadors_plugin() {
	/**
	 * Charitable Ambassadors [Frontend Campaign Submission Page]
	 */
	if ( is_plugin_active( 'charitable-ambassadors/charitable-ambassadors.php' ) ) {
		vc_map( array(
			'name'     => esc_html__( 'Frontend Campaign Submission Page', 'mascot-core' ),
			'base'     => 'charitable_submit_campaign',
			'description' => esc_html__( 'Creating Ambassador - Submission Page', 'mascot-core' ),
			'category' => esc_html__( 'by TM', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-charitable',
			'params'   => array(),
			'show_settings_on_create'	=> false,
		) );
	}

	/**
	 * Charitable Ambassadors [My Campaigns Page]
	 */
	if ( is_plugin_active( 'charitable-ambassadors/charitable-ambassadors.php' ) ) {
		vc_map( array(
			'name'     => esc_html__( 'My Campaigns Page', 'mascot-core' ),
			'base'     => 'charitable_my_campaigns',
			'description' => esc_html__( 'Creating Ambassador - My Campaigns Page', 'mascot-core' ),
			'category' => esc_html__( 'by TM', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-charitable',
			'params'   => array(),
			'show_settings_on_create'	=> false,
		) );
	}


	/**
	 * Charitable Ambassadors [ My Donations Received Page ]
	 */
	if ( is_plugin_active( 'charitable-ambassadors/charitable-ambassadors.php' ) ) {
		vc_map( array(
			'name'     => esc_html__( 'My Donations Received Page', 'mascot-core' ),
			'base'     => 'charitable_creator_donations',
			'description' => esc_html__( 'Creating Ambassador - Donations Received Page', 'mascot-core' ),
			'category' => esc_html__( 'by TM', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-charitable',
			'params'   => array(),
			'show_settings_on_create'	=> false,
		) );
	}
}