<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_medinov_reg_shortcodes_projects', 998 );
}
function mascot_core_medinov_reg_shortcodes_projects() {
	vc_map( array(
		'name'     => esc_html__( 'Project Title', 'mascot-core' ),
		'base'     => 'tmvc_projects_title',
		'description' => esc_html__( 'Projects', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_projects_title extends WPBakeryShortCode {
	}


	
	vc_map( array(
		'name'     => esc_html__( 'Project Thumb', 'mascot-core' ),
		'base'     => 'tmvc_projects_thumb',
		'description' => esc_html__( 'Projects', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			array(
				'type'			=> 'dropdown',
				"heading"		=> esc_html__( "Thumbnail Image Size", 'mascot-core' ),
				"param_name"	=> "thumb_image_size",
				'description'   => '',
				'value'			=> mascot_core_medinov_get_available_image_sizes_for_vc(),
				'std'			=> 'medinov_mascot_square',
				'admin_label'   => true,
			),
			mascot_core_medinov_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_projects_thumb extends WPBakeryShortCode {
	}
}